// http://www.sunsetlakesoftware.com/2013/10/21/optimizing-gaussian-blurs-mobile-gpu

attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord;

uniform vec2 texelWidthOffset;

varying vec2 blurCoordinates[5];
varying vec4 v_fragmentColor;

void main()
{
    gl_Position = CC_PMatrix * a_position;
	v_fragmentColor = a_color;

	vec2 singleStepOffset = vec2( texelWidthOffset);
	blurCoordinates[0] = a_texCoord.xy;
	blurCoordinates[1] = a_texCoord.xy + singleStepOffset * 1.407333;
	blurCoordinates[2] = a_texCoord.xy - singleStepOffset * 1.407333;
	blurCoordinates[3] = a_texCoord.xy + singleStepOffset * 3.294215;
	blurCoordinates[4] = a_texCoord.xy - singleStepOffset * 3.294215;
}